#
# spec file for package nsjail
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           nsjail
Version:        2.9
Release:        lp152.1.4
Summary:        A light-weight process isolation tool
License:        Apache-2.0
Group:          System/GUI/Other
URL:            https://nsjail.com
Source0:        nsjail-%{version}.tar.gz
Source1:        kafel.tar.gz
BuildRequires:  autoconf
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  git-core
BuildRequires:  glibc-devel
BuildRequires:  libnl3-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  protobuf-devel
ExclusiveArch:  x86_64

%description
A light-weight process isolation tool, making use of Linux namespaces and
seccomp-bpf syscall filters (with help of the kafel bpf language)

%prep
%setup -qa1

%build
%define _lto_cflags %{nil}
export CFLAGS="%{optflags}"
export CXXFLAGS="$CFLAGS"
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_bindir}/
cp nsjail %{buildroot}/%{_bindir}/

%files
%license LICENSE
%{_bindir}/nsjail

%changelog
* Mon Feb  3 2020 Johannes Segitz <jsegitz@suse.de>
- Update to version 2.9. Notable changes:
  * improved configs for some tools
  * changed default RLIMIT_AS to 4GiB
  * rudimentary support for cgroups2
  * added option to ignore rlimits
  * fixed setcwd() w/o CLONE_NEWNS
* Thu Jan  2 2020 Christophe Giboudeaux <christophe@krop.fr>
- Disable lto for building nsjail.
- Run spec-cleaner, install the license file.
* Mon Mar 11 2019 jsegitz@suse.com
- Fixed ExclusiveArch: to correct architecture
* Mon Mar  4 2019 jsegitz@suse.com
- Ensure build only on 64 bit machines
* Tue Feb  5 2019 jsegitz@suse.com
- Retire old $RPM_* shell vars and %%__-type macro indirections.
* Tue Feb  5 2019 jsegitz@suse.com
- Update to version 2.8
  * ability to specify noexec/nodev/nosuid in mounts
  * added --macvlan_vs_ma option
  * better example configs
  * changed behavior of --env - empty var means passing it from parent
- Fixed requires for libnl3
- Removed format-truncation.patch, string handling was reworked
* Thu Sep 20 2018 jsegitz@suse.com
- Added format-truncation.patch to prevent truncation warnings
* Thu Sep 20 2018 jsegitz@suse.com
- Initial import of version 2.7
